package com.inca.npbusi.inf;

import com.inca.np.communicate.ClientRequest;
import com.inca.np.communicate.StringCommand;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.mde.CDetailModel;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.util.SendHelper;
import com.inca.npx.mde.CMdeModelAp;

public class Sa_interface_mde extends CMdeModelAp {
   public Sa_interface_mde(CFrame var1, String var2) {
      super(var1, var2);
   }

   protected CMasterModel createMastermodel() {
      return new Sa_interface_master(this.frame, this);
   }

   protected CDetailModel createDetailmodel() {
      return new Sa_interface_detail(this.frame, this);
   }

   public String getMasterRelatecolname() {
      return "DOCID";
   }

   public String getDetailRelatecolname() {
      return "DOCID";
   }

   public String getSaveCommandString() {
      return "Sa_interface_mde.保存接口订单";
   }

   protected int on_actionPerformed(String var1) {
      if (var1.equals("确定")) {
         if (this.getMasterModel().getRowCount() <= 0) {
            this.infoMessage("提示", "请选择单据进行确定！");
            return -1;
         }

         int var2 = this.getMasterModel().getRow();
         this.getMasterModel().getItemValue(var2, "usestatus");
         String var3 = "";
         this.getDetailModel().getRowCount();

         for(int var4 = 0; var4 < this.getDetailModel().getRowCount(); ++var4) {
            if (this.getDetailModel().getItemValue(var4, "goodsid").equals("")) {
               var3 = var3 + "第" + (var4 + 1) + "行货品未对照，请对照后，刷新界面后，点击确定！\n";
            }
         }

         if (!var3.equals("")) {
            this.infoMessage("提示", var3);
            return -1;
         }

         ClientRequest var7 = new ClientRequest("Sa_interface.确定");
         String var5 = this.getMasterModel().getItemValue(this.getMasterModel().getRow(), "docid");
         var3 = this.getMasterModel().getItemValue(this.getMasterModel().getRow(), "customname");
         var7.addCommand(new StringCommand(var5));
         var7.addCommand(new StringCommand(var3));

         try {
            if ((var3 = ((StringCommand)SendHelper.sendRequest(var7).commandAt(0)).getString()).startsWith("+OK")) {
               this.infoMessage("提示", "生成销售订单成功");
               this.getMasterModel().setItemValue(var2, "usestatus", "1");
               this.getMasterModel().setdbStatus(var2, 0);
            } else {
               this.infoMessage("提示", "生成销售订单失败 原因：" + var3);
            }
         } catch (Exception var6) {
         }
      }

      return super.on_actionPerformed(var1);
   }
}
